Package org.apache.commons.collections4.map

# Enum ConcurrentReferenceHashMap.Option

java.lang.Object
java.lang.Enum<ConcurrentReferenceHashMap.Option>
org.apache.commons.collections4.map.ConcurrentReferenceHashMap.Option

All Implemented Interfaces:
  `Serializable`, `Comparable<ConcurrentReferenceHashMap.Option>`

Enclosing class:
  `ConcurrentReferenceHashMap<K,V>`

public static enum ConcurrentReferenceHashMap.Option extends Enum<ConcurrentReferenceHashMap.Option>
Enumerates eehavior-changing configuration options for the map.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IDENTITY_COMPARISONS`
  Indicates that referential-equality (== instead of .equals()) should be used when locating keys.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConcurrentReferenceHashMap.Option`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ConcurrentReferenceHashMap.Option[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IDENTITY_COMPARISONS

    public static final ConcurrentReferenceHashMap.Option IDENTITY_COMPARISONS
    Indicates that referential-equality (== instead of .equals()) should be used when locating keys. This offers similar behavior to `IdentityHashMap`

- ## Method Details

  - ### values

    public static ConcurrentReferenceHashMap.Option[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConcurrentReferenceHashMap.Option valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null